account/urls.py
from django.urls import path, include
from . import views
from django.conf import settings
from django.conf.urls.static import static

app_name = 'account'

urlpatterns = [
    path('', views.profile, name='profile'),
    path('login/', views.login_view, name='login_view'),
    path('check/', views.check, name='check'),
    path('create_account/', views.create_account, name='create_account'),
    path('charge_account/<int:account_id>', views.charge_account, name='charge_account'),
    path('send_profile/<int:account_id>', views.send_profile, name='send_profile'),
    path('actions/', views.actions, name='actions'),
    path('change_chat_id/<int:profile_id>', views.change_chat_id, name='change_chat_id'),
]

api/urls.py
from django.urls import path
from . import views
from .views import MyTokenObtainPairView
from rest_framework.urlpatterns import format_suffix_patterns
from rest_framework_simplejwt.views import (
    TokenObtainPairView,
    TokenRefreshView,
)

app_name = 'api'

urlpatterns = [
    path('', views.getRoutes),
    path('token/', MyTokenObtainPairView.as_view(), name='token_obtain_pair'),
    path('token/refresh/', TokenRefreshView.as_view(), name='token_refresh'),
    path('home/', views.HomeView.as_view(), name='home'),
    path('profile/', views.profile_api, name='profile_api'),
    path('superadmin/', views.superadmin_api, name='superadmin_api'),
    path('account/create/', views.create_account_api, name='create_account_api'),
    path('account/charge/', views.charge_account_api, name='charge_account_api'),
]

urlpatterns = format_suffix_patterns(urlpatterns)

base/urls.py
from django.urls import path, include
from . import views
from django.conf import settings
from django.conf.urls.static import static

app_name = 'base'

urlpatterns = [
    path('', views.home, name='home'),
]

handler404 = views.error_404_view

blog/urls.py
from django.urls import path, include
from . import views
from django.conf import settings
from django.conf.urls.static import static

app_name = 'blog'

urlpatterns = [
    path('blog/<int:choice>', views.blog, name='blog'),
    path('post_detail/<int:id>/', views.post_detail, name='post_detail'),
]

ovpn/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.contrib.auth import views as auth_views
from django.conf.urls.static import static
from rest_framework_simplejwt import views as jwt_views
import os

urlpatterns = [
    path('', include('base.urls')),
    path('messages/', include('drf_messages.urls')),
    path('blog/', include('blog.urls')),
    path('account/', include('account.urls')),
    path('admin/', admin.site.urls),
    path('superadmin/', include('superadmin.urls')),
    path('logout/', auth_views.LogoutView.as_view(template_name='account/login.html'), name='logout'),
    path('api/', include('api.urls')),
    path('token/',
          jwt_views.TokenObtainPairView.as_view(),
          name ='token_obtain_pair'),
    path('token/refresh/',
          jwt_views.TokenRefreshView.as_view(),
          name ='token_refresh'),

]


if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
    urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

superadmin/urls.py
from django.urls import path, include
from . import views
from django.conf import settings
from django.conf.urls.static import static

app_name = 'superadmin'

urlpatterns = [
    path('', views.home, name='home'),
    path('profile/<int:profile_id>', views.profile, name='profile'),
    path('change_server/<int:profile_id>', views.change_server, name='change_server'),
    path('charge_coin/<int:profile_id>', views.charge_coin, name='charge_coin'),
    path('server/<int:server_id>', views.server, name='server'),
    path('send_profile/<int:account_id>', views.send_profile, name='send_profile'),
    path('admin_profile/', views.admin_profile, name='admin_profile'),
    path('create_account/', views.create_account, name='create_account'),
    path('leader_creation/', views.leader_creation, name='leader_creation'),
    path('create_profile/', views.create_profile, name='create_profile'),
    path('server_creation/', views.server_creation, name='server_creation'),
    path('create_server/', views.create_server, name='create_server'),
    path('revoke_list/', views.revoke_list, name='revoke_list'),
    path('test/', views.test, name='test'),
    path('reverse_ssh_status/<int:server_id>', views.reverse_ssh_status, name='reverse_ssh_status'),
    path('revoke_alert/', views.revoke_alert, name="revoke_alert"),
]

account/models.py
from django.db import models
from django.shortcuts import render, get_object_or_404, redirect
from django.contrib.auth.models import User
from django.utils import timezone
import datetime

class Server(models.Model):
	ir_ip = models.CharField(max_length=20)
	fr_ip = models.CharField(max_length=20)
	name = models.CharField(max_length=20)
	phone = models.CharField(max_length=20, default='09914307462')
	ssh_status = models.BooleanField(default=False)
	count = models.IntegerField(default = 200)

	def __str__(self):
		return self.name


class Profile(models.Model):
	user = models.OneToOneField(User, on_delete=models.CASCADE)
	count = models.IntegerField(default = 1)
	server = models.ForeignKey(Server, on_delete=models.CASCADE)
	chat_id = models.CharField(max_length=100, default='515098162')

	def __str__(self):
		return self.user.username

class Account(models.Model):
	name = models.CharField(max_length=200)
	password = models.CharField(max_length=20)
	file = models.FileField(upload_to = "Accounts_file")
	cli_name = models.CharField(max_length= 100)
	created_on = models.DateTimeField(auto_now_add = True)
	date_end = models.DateTimeField(default = datetime.datetime.now() + datetime.timedelta(days=30))
	leader = models.ForeignKey(Profile, on_delete=models.CASCADE)
	server = models.ForeignKey(Server, blank=True, null=True, on_delete=models.CASCADE)
	comment = models.TextField(blank = True, null = True)


	def __str__(self):
		return self.name


create = 0
charge = 1

STATUS = (
    (create,"create"),
    (charge,"charge"),
)

class Action(models.Model):
	leader = models.ForeignKey(Profile, on_delete=models.CASCADE)
	action = models.IntegerField(choices = STATUS)
	account = models.ForeignKey(Account, on_delete=models.CASCADE)
	date = models.DateTimeField(auto_now_add = True)
	comment = models.CharField(max_length = 200, blank = True, null = True)

	def __str__(self):
		return self.leader.user.username



# Create your models here.

base/models.py
from django.db import models

# Create your models here.

superadmin/models.py
from django.db import models

# Create your models here.

base/views.py
from django.shortcuts import render, get_object_or_404, redirect
from django.http import HttpResponse, HttpResponseRedirect, FileResponse
from django.urls import reverse
from django.conf import settings
from django.core.files.storage import FileSystemStorage
from django.contrib import messages
from blog.models import Post, Music, Image, File
from django.template import Context, loader

def error_404_view(request, exception):

    # we add the path to the 404.html file
    # here. The name of our HTML file is 404.html
    return render(request, 'base/404.html')

def home(request):
    messages.add_message(request, messages.INFO, "hello to api messages")
    return render(request, 'base/home.html')

# Create your views here.

superadmin/views.py
from django.shortcuts import render, get_object_or_404, redirect
from django.http import HttpResponse, HttpResponseRedirect, FileResponse
from django.urls import reverse
from django.conf import settings
from django.contrib.auth.models import User
from django.core.files.storage import FileSystemStorage
from django.contrib import messages
from django.contrib.auth import authenticate, login
from account.models import Profile, Account, Action, Server
from django.core.files import File
from django.utils import timezone
import datetime
import requests
import os
from revoke import *
from django import template
from keys import telegram_bot_token

current_dir = os.getcwd()

def document_sender(chat_id, file, caption):
	apiToken = '6292864503:AAHSpBSym2NVJuubNdfmuUFCxf5z-i8Gpnc'
	apiURL = f'https://api.telegram.org/bot{apiToken}/sendDocument'
	files = {'document': open(file,'rb')}
	data = {'chat_id': chat_id, 'parse_mode':'HTML', 'caption':caption}
	r = requests.post(apiURL, data=data, files=files, stream=True)
	return r.json()

use_ssh_creation = False
def create_ssh_config(username, password, expdate):
	if use_ssh_creation:
		token = '1693053954X7H0C3M46ETKGSY'
		url = "https://cofee.fdlock.xyz:1978/api/adduser"

		j = {'token': token, 'username': username, 'password': password, 'multiuser': '1', 'traffic': '50', 'type_traffic': 'gb', 'expdate': expdate}
		x = requests.post(url, json=j)
		return x
	else:
		pass

def account_generator(profile, server, account_name):
	server_ip = server.ir_ip
	for i in os.listdir('{}/cli/{}'.format(current_dir, server_ip)):
		if i.startswith('cli_'):
			none_name = i
			break

	global pas
	pas = ''
	with open('{}/cli/{}/pass.txt'.format(current_dir, server_ip), 'r') as f:
		lines = f.readlines()
		for line in lines:
			print(line)
			if line.startswith(none_name):
				pas = line.split(' : ')[1]

	os.rename('{}/cli/{}/{}'.format(current_dir, server_ip, none_name), '{}/cli/{}/{}.ovpn'.format(current_dir, server_ip, account_name))
	with open('{}/cli/{}/{}.ovpn'.format(current_dir,server_ip, account_name), 'rb') as f:
		ovpn_file = File(f)
		ovpn_file = File(f, name=os.path.basename('{}/cli/{}/{}.ovpn'.format(current_dir, server_ip, account_name)))
		account = Account(name=account_name, password = pas, file = ovpn_file, server = server, cli_name = none_name.split('.')[0], leader = profile)
		account.save()

	create_ssh_config(account.name, account.password, account.date_end.strftime("%Y-%m-%d"))
	document_sender('515098162', '{}/cli/{}/{}.ovpn'.format(current_dir, server_ip, account_name), pas)

	action = Action(leader = profile, action = 0, account = account)
	action.save()

def home(request):
	if request.user.is_authenticated:
		if request.user.is_superuser:
			profiles = Profile.objects.all()
			servers = Server.objects.all()
			accounts = Account.objects.all()


			admin_accounts = Account.objects.filter(leader=get_object_or_404(Profile, user=request.user)).order_by('-date_end')

			context = { 'profiles': profiles,
				'servers': servers,
				'accounts': accounts,
				'admin_accounts': admin_accounts,
			}


			return render(request, 'superadmin/home.html', context=context)
		else:
			return redirect('account:profile')
	else:
		return redirect('account:login_view')

def admin_profile(request):
	if request.user.is_authenticated:
		if request.user.is_superuser:
			profiles = Profile.objects.all()
			servers = Server.objects.all()
			accounts = Account.objects.all()

			admin_accounts = Account.objects.filter(leader=get_object_or_404(Profile, user=request.user)).order_by('-date_end')

			context = {'profiles': profiles,
				'servers': servers,
				'accounts': accounts,
				'admin_accounts': admin_accounts,
			}
			return render(request, 'superadmin/manage.html', context = context)
	else:
		return redirect('account:login_view')

def profile(request, profile_id):
	if request.user.is_authenticated:
		if request.user.is_superuser:
			profile = get_object_or_404(Profile, id=profile_id)
			accounts = Account.objects.filter(leader=profile).order_by('-date_end')
			accounts_count = accounts.count()
			all_account = profile.count
			accounts_left = all_account - accounts_count

			servers = Server.objects.all()

			today = timezone.datetime.today().day

			context = {'profile': profile,
				'accounts': accounts,
				'accounts_count': accounts_count,
				'accounts_left': accounts_left,
				'today': today,
				'servers': servers,
			}

			return render(request, 'superadmin/profile.html', context)
	else:
		return redirect('account:login_view')

def change_server(request, profile_id):
	if request.user.is_authenticated:
		if request.user.is_superuser:
			profile = get_object_or_404(Profile, id=profile_id)
			server = get_object_or_404(Server, ir_ip=request.POST['server_shift'])
			profile.server = server
			profile.save()
			return redirect('superadmin:profile', profile_id)
	else:
		return redirect('account:login_view')

def charge_coin(request, profile_id):
	if request.user.is_authenticated:
		if request.user.is_superuser:
			profile = get_object_or_404(Profile, id=profile_id)
			coin_value = request.POST['charge_coin']
			profile.count = int(coin_value)
			profile.save()
			return redirect('superadmin:profile', profile_id)
	else:
		return redirect('account:login_view')


def server(request, server_id):
	if request.user.is_authenticated:
		if request.user.is_superuser:
			server = get_object_or_404(Server, id=server_id)
			profiles = Profile.objects.filter(server=server)
			context = {
				'server': server,
				'profiles': profiles,
			}
			return render(request, 'superadmin/server.html', context)
	else:
		return redirect('account:login_view')


def create_account(request):
	if request.user.is_authenticated:
		if request.user.is_superuser:
			account_name = request.POST['account_name']

			try:
				get_object_or_404(Account, name=account_name)
				messages.add_message(request, messages.INFO, 'This name already taken')
			except:
				if account_name != "":
					server = get_object_or_404(Server, ir_ip=request.POST['server_shift'])
					profile = get_object_or_404(Profile, user=request.user)

					account_generator(profile, server, account_name)
				else:
					messages.add_message(request, messages.INFO, 'Chose somename and donnot leave it blank !')

			return redirect('superadmin:admin_profile')
		else:
			return redirect('account:profile')
	else:
		return redirect('account:login_view')

def test(request):
	if request.user.is_authenticated:
		if request.user.is_superuser:
			leaders = Profile.objects.all()
			context = {
				'leaders': leaders,
			}

			return render(request, 'superadmin/test.html', context=context)
		else:
			return redirect('account:profile')
	else:
		return redirect('account:login_view')

def send_profile(request, account_id):
	if request.user.is_authenticated:
		account = get_object_or_404(Account, id=account_id)
		profile = get_object_or_404(Profile, user=request.user)

		document_sender(profile.chat_id, '{}{}'.format(current_dir, account.file.url), account.password)

		return redirect('account:profile')
	else:
		return redirect('account:profile')

def leader_creation(request):
	if request.user.is_authenticated:
		if request.user.is_superuser:
			servers = Server.objects.all()
			context = {
				'servers': servers,
			}

			return render(request, 'superadmin/leader_creation.html', context=context)
		else:
			return redirect('account:profile')
	else:
		return redirect('account:login_view')

def create_profile(request):
	if request.user.is_authenticated:
		if request.user.is_superuser:
			username = request.POST['username']
			password = request.POST['password']

			count = request.POST['count']
			server_ip = request.POST['server_ip']

			user = User.objects.create_user(username=username, password=password)
			user.save()

			server = get_object_or_404(Server, ir_ip=server_ip)
			profile = Profile(user=user, count = int(count), server = server)
			profile.save()

			return redirect('superadmin:home')
		else:
			return redirect('account:profile')
	else:
		return redirect('account:login_view')

def server_creation(request):
	if request.user.is_authenticated:
		if request.user.is_superuser:
			servers = Server.objects.all()
			context = {
				'servers': servers,
			}

			return render(request, 'superadmin/server_creation.html', context=context)
		else:
			return redirect('account:profile')
	else:
		return redirect('account:login_view')

def create_server(request):
	if request.user.is_authenticated:
		if request.user.is_superuser:
			server_name = request.POST['server_name']
			ir_ip = request.POST['ir_ip']
			fr_ip = request.POST['fr_ip']

			next_server_ip = request.POST['next_server_ip']
			shift_server = get_object_or_404(Server, ir_ip=next_server_ip)

			server = Server(name=server_name, ir_ip=ir_ip, fr_ip=fr_ip, next_server=shift_server)
			server.save()

			return redirect('superadmin:home')
		else:
			return redirect('account:profile')
	else:
		return redirect('account:login_view')


def activate_ssh_user(username):
	token = '1693053954X7H0C3M46ETKGSY'
	url = "https://cofee.fdlock.xyz:1978/api/active"

	j = {'token': token, 'username': username}
	x = requests.post(url, json=j)
	return x

def deactivate_ssh_user(username):
	token = '1693053954X7H0C3M46ETKGSY'
	url = "https://cofee.fdlock.xyz:1978/api/deactive"

	j = {'token': token, 'username': username}
	x = requests.post(url, json=j)
	return x

def reverse_ssh_status(request, server_id):
	server = get_object_or_404(Server, id=server_id)
	new_status = not server.ssh_status

	acc_list = Account.objects.filter(server=server)
	for acc in acc_list:
		if new_status:
			activate_ssh_user(acc.name)
		else:
			deactivate_ssh_user(acc.name)

	server.ssh_status = new_status
	server.save()

	return redirect('superadmin:server', server_id)

def revoke_list(request):
	revoke_by_leader_dict = {}
	leaders = Profile.objects.all()
	for leader in leaders:
		l = revoke_by_user(leader.user)
		revoke_by_leader_dict[leader] =  l

	context = {

superadmin/templates/superadmin/base.html
{% load static %}
{% get_static_prefix as STATIC_PREFIX %}
<!DOCTYPE html>
<html data-bs-theme='light'>
  <head>
  	<meta name="viewport" content="width=device-width, initial-scale=1">
      <title>Final VPN</title>
      <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-GLhlTQ8iRABdZLl6O3oVMWSktQOp6b7In1Zl3/Jr59b6EGGoI1aFkw7cmDA6j6gD" crossorigin="anonymous">
  </head>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-OERcA2EqjJCMA+/3y+gxIOqMEjwtxJY7qPCqsdltbNJuaOe923+mo//f6V8Qbsw3" crossorigin="anonymous">
  </script>

  <body class="">

    <nav class="navbar bg-body-tertiary">
      <div class="container-fluid">
        <a class="navbar-brand" href="{% url 'superadmin:home' %}">Superadmin Panel</a>

        <button class="navbar-toggler" type="button" data-bs-toggle="offcanvas" data-bs-target="#offcanvasNavbar" aria-controls="offcanvasNavbar" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="offcanvas offcanvas-end" tabindex="-1" id="offcanvasNavbar" aria-labelledby="offcanvasNavbarLabel">
          <div class="offcanvas-header">
            <h5 class="offcanvas-title" id="offcanvasNavbarLabel">Menu</h5>
            <button type="button" class="btn-close" data-bs-dismiss="offcanvas" aria-label="Close"></button>
          </div>
          <div class="offcanvas-body">
            <ul class="navbar-nav justify-content-end flex-grow-1 pe-3">
              <li class="nav-item">
                <a class="nav-link" aria-current="page" href="{% url 'base:home' %}">Home</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" aria-current="page" href="{% url 'blog:blog' 5 %}">Blog</a>
              </li>
              <hr>
              <li class="nav-item">
                <a class="nav-link" href="{% url 'superadmin:admin_profile' %}">Personal Profile</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="{% url 'superadmin:leader_creation' %}">Create Leader</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="{% url 'superadmin:server_creation' %}">Create Server</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="{% url 'superadmin:revoke_list' %}">Revokation List</a>
              </li>
              <!--<li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                  Creation
                </a>
                <ul class="dropdown-menu">
                  <li><a class="dropdown-item" href="{% url 'superadmin:leader_creation' %}">Create Leader</a></li>
                  <li><a class="dropdown-item" href="{% url 'superadmin:server_creation' %}">Create Server</a></li>
                  <li>
                    <hr class="dropdown-divider">
                  </li>
                  <li><a class="dropdown-item" href="#">Something else here</a></li>
                </ul>
              </li>-->
              <hr>
              <li class="nav-item">
                <a class="nav-link text-danger" href="{% url 'logout' %}">Logout</a>
              </li>
            </ul>
          </div>
        </div>
      </div>
    </nav>

  	<br>

    <div class="container">
      {% block content %}
      {% endblock %}
    </div>

  </body>
  <script type="text/javascript">
  if (window.matchMedia && window.matchMedia('(prefers-color-scheme: dark)').matches) {
    document.documentElement.setAttribute('data-bs-theme','dark')
  }
  else {
    document.documentElement.setAttribute('data-bs-theme','light')
  }
  </script>
</html>

superadmin/templates/superadmin/login.html
{% extends 'account/base.html' %}
{% block content %}
	<div class="">
		<form action="{% url 'account:check' %}" method="post">
			{% csrf_token %}
			{% if messages %}
				{% for message in messages %}
					<div class="alert alert-danger">{{ message }}</div>
				{% endfor %}
			{% endif %}
			<div class="border p-3 m-3 rounded rounded-3">
				<div class="col-md-auto">
					<h3 class="text-center">Login</h5>
					<input type="username" placeholder="Username" class="form-control" name="username">
					<br>
					<input type="password" placeholder="Password" class="form-control" name="password">
					<br>
					<div class="row p-2">
						<button class="submit btn btn-primary col m-1" type="submit" value="Login">Login</button>
						<button class="submit btn btn-secondary col disabled m-1" type="submit" value="Register">Register</button>
					</div>
				</div>
		</form>
	</div>
{% endblock %}

superadmin/templates/superadmin/manage.html
{% extends 'superadmin/base.html' %}
{% block content %}

	{% if messages %}
		{% for message in messages %}
			<div class="alert alert-danger">{{ message }}</div>
		{% endfor %}
	{% endif %}

	<form action="{% url 'superadmin:create_account' %}" method="post">
		{% csrf_token %}
		<div class="input-group">
		  <select class="form-select mb-2" name="server_shift" id="inputGroupSelect04" aria-label="Example select with button addon">
		    {% for server in servers %}
		    	<option value="{{ server.ir_ip }}">{{ server }} > <i class="text-end">{{ server.ir_ip }}</i></option>
		    {% endfor %}
		  </select>
		</div>

		<div class="input-group mb-3">
		  <input type="text" class="form-control" placeholder="Account Name" name="account_name" aria-describedby="button-addon2">
		  <button class="btn btn-outline-success" type="submit" id="button-addon2">Create</button>
		</div>
	</form>


	<div>
		<ul class="list-group list-group-numbered">
			{% for account in admin_accounts %}
				<li class="list-group-item">
					<a href="" data-bs-toggle="modal" data-bs-target="#exampleModal{{ account.id }}" class="text-decoration-none ">{{ account }}</a>
				<span class="float-end text-muted fw-light">{{ account.date_end|timeuntil }}</span>
				</li>
			{% endfor %}
		</ul>
		{% for account in accounts %}
			<!--modal-->
			<div class="modal fade" id="exampleModal{{ account.id }}" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
				<div class="modal-dialog">
				    <div class="modal-content">
				    	<div class="modal-header">
					        <h1 class="modal-title float-center fs-5" id="exampleModalLabel"><h5 class="">{{ account }}</h5></h1>
					        <button type="button" class="btn-close float-end" data-bs-dismiss="modal" aria-label="Close"></button>
				    	</div>
				    	<div class="modal-body">
					        <div class="">

							    <p class=""><i class="text-muted fs-6">password: </i>{{ account.password }}</p>
							    <p class="text-muted">{{ account.server }} > {{ account.server.ir_ip }}</p>
							    <p class="float-start">{{ account.date_end|timeuntil }} left</p>

							</div>
				    	</div>
				    	<div class="modal-footer">
				    		<a class="btn btn-outline-success" href="{% url 'account:charge_account' account.id %}">Charge 1 month</a>
				    		<a class="btn btn-primary" href="{{ account.file.url }}">Download OVPN file</a>
								<a class="btn btn-primary" href="{% url 'account:send_profile' account.id %}"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-telegram" viewBox="0 0 16 16">
  <path d="M16 8A8 8 0 1 1 0 8a8 8 0 0 1 16 0zM8.287 5.906c-.778.324-2.334.994-4.666 2.01-.378.15-.577.298-.595.442-.03.243.275.339.69.47l.175.055c.408.133.958.288 1.243.294.26.006.549-.1.868-.32 2.179-1.471 3.304-2.214 3.374-2.23.05-.012.12-.026.166.016.047.041.042.12.037.141-.03.129-1.227 1.241-1.846 1.817-.193.18-.33.307-.358.336a8.154 8.154 0 0 1-.188.186c-.38.366-.664.64.015 1.088.327.216.589.393.85.571.284.194.568.387.936.629.093.06.183.125.27.187.331.236.63.448.997.414.214-.02.435-.22.547-.82.265-1.417.786-4.486.906-5.751a1.426 1.426 0 0 0-.013-.315.337.337 0 0 0-.114-.217.526.526 0 0 0-.31-.093c-.3.005-.763.166-2.984 1.09z"/>
</svg> Send</a>

				    	</div>
				    </div>
				</div>
			</div>
		{% endfor %}
	</div>

{% endblock %}

superadmin/templates/superadmin/server.html
{% extends 'account/base.html' %}
{% block content %}

	<div class="m-1">
		<i class="text-muted float-end">{{ server.ir_ip }}</i><h5>{{ server }}</h5>
	</div>
	{% if server.ssh_status == False %}
		<a href="{% url 'superadmin:reverse_ssh_status' server.id %}" class="btn btn-outline-success">Activate SSH server</a>
	{% else %}
		<a href="{% url 'superadmin:reverse_ssh_status' server.id %}" class="btn btn-outline-danger">Deacitvate SSH server</a>
	{% endif %}
	<div class="m-1"><i class="text-muted float-end">sum: {{ server.account_set.count }}</i><h6 class="text-muted">Leaders list:</h6></div>
	<ul class="list-group list-group">
		{% for profile in profiles %}
			<li class="list-group-item"><a class="text-decoration-none" href="{% url 'superadmin:profile' profile.id %}">{{ profile }}</a><span class="float-end text-muted fw-light">{{ profile.account_set.count }}</span></li>
		{% endfor %}
	</ul>

{% for leader in context %}
	{{ leader }}
{% endfor %}

{% endblock %}